LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 01-21-2004, 02:29 AM   #1
Ren
Member
 
Registered: Dec 2003
Location: Windsor, Ontario
Distribution: Gentoo 1.4
Posts: 34

Rep: Reputation: 15
What packages required for sound


Hi hi,

Yesterday, I could run Xine and play movies with audio.

Today, I have video but not audio.

I was fiddling about with pkgtool yesterday, and I suspect I must have accidentally removed something important.

#alsamixer
alsamixer: function std_ctl_open failed for default: No such device.

What packages are required for audio to work, without reinstalling Slackware 9.1 from scratch?

Ren
 
Old 01-21-2004, 02:33 AM   #2
Ren
Member
 
Registered: Dec 2003
Location: Windsor, Ontario
Distribution: Gentoo 1.4
Posts: 34

Original Poster
Rep: Reputation: 15
I have all four alsa packages installed for sure.

alsa-driver-0.9.6-i486-3
alsa-lib-0.9.6-i486-1
alsa-oss-0.9.6-i486-1
alsa-utils-0.9.6-i486-1
 
Old 01-21-2004, 03:53 AM   #3
changcheh
Member
 
Registered: Nov 2003
Location: china
Distribution: Linux Mint
Posts: 49

Rep: Reputation: 15
What packages required for sound

Go to http://www.alsa-project.org and click on the soundcards page. Find yours and follow the instructions. It normally means inserting a few lines in /etc/modules.conf or /etc/conf.modules.

If you've rebulit your kernel you need to remake all the alsa packages to get sound working again also for mine soundcard support needed to be enabled as a module.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem downloading and installing required packages gajaykrishnan Debian 1 11-01-2005 11:10 PM
What packages are required for xconfig for 2.6 kernel compile? Nigel_Tufnel Debian 15 07-29-2004 07:50 AM
Can't get the required packages to work.... DJStarx Linux - Software 4 01-03-2004 11:14 AM
Packages that are required mikeshn Linux - General 2 10-23-2003 03:45 PM
How do you install all packages required??? oudent Linux - Newbie 1 04-23-2002 12:53 PM


All times are GMT -5. The time now is 06:46 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration